#ifndef _X_DEBUG_H__
#define _X_DEBUG_H__ 1

#include <config/settings.h>

#if X_DEBUG > 0

#include <core/x_core.h>
#include <stdbool.h>


#define printf_debug(format, args...) if(x_macro_status.debug_active) printf_P(PSTR(format), ## args)

extern volatile bool x_debug;







#else

//If debug disabled, just let the function go to nowhere.
#define printf_debug(format, args...)

#endif



#endif

